Data Fields

# headerToken_s Struct Reference
[HEADER.]

The Header data structure. More...

`#include <rpmdb/header_internal.h>`

Collaboration diagram for headerToken_s:
[legend]

## Data Fields
unsigned char | magic [8]
void * | blob
const char * | origin
uint32_t | instance
struct rpmop_s | h_loadops
struct rpmop_s | h_getops
indexEntry | index
size_t | indexUsed
size_t | indexAlloced
uint32_t | flags
int | nrefs

## Detailed Description

The Header data structure.

Definition at line 84 of file header_internal.h.

## Field Documentation

void* headerToken_s::blob

Header region blob.

Definition at line 87 of file header_internal.h.

Referenced by headerFree(), headerLoad(), and headerNew().

uint32_t headerToken_s::flags

Definition at line 97 of file header_internal.h.

Referenced by findEntry(), headerAddEntry(), headerAllocated(), headerCopyLoad(), headerFree(), headerLoad(), headerNew(), headerReload(), headerSizeof(), headerSort(), headerUnload(), rdSignature(), rpmdbNextIterator(), and rpmReadHeader().

struct rpmop_s headerToken_s::h_getops

Definition at line 92 of file header_internal.h.

Referenced by headerGetStats().

struct rpmop_s headerToken_s::h_loadops

Definition at line 91 of file header_internal.h.

Referenced by headerGetStats().

indexEntry headerToken_s::index

Array of tags.

Definition at line 94 of file header_internal.h.

Referenced by findEntry(), headerAddEntry(), headerFree(), headerLoad(), headerModifyEntry(), headerNew(), headerNext(), headerReload(), headerRemoveEntry(), headerSizeof(), headerSort(), headerUnload(), and headerUnsort().

size_t headerToken_s::indexAlloced

Allocated size of tag array.

Definition at line 96 of file header_internal.h.

Referenced by headerAddEntry(), headerLoad(), and headerNew().

size_t headerToken_s::indexUsed

Current size of tag array.

Definition at line 95 of file header_internal.h.

Referenced by findEntry(), headerAddEntry(), headerFree(), headerLoad(), headerNew(), headerNext(), headerRemoveEntry(), headerSort(), headerUnload(), and headerUnsort().

uint32_t headerToken_s::instance

Header instance (if from rpmdb).

Definition at line 90 of file header_internal.h.

Referenced by headerGetInstance(), headerNew(), headerReload(), and headerSetInstance().

unsigned char headerToken_s::magic[8]

Header magic.

Definition at line 85 of file header_internal.h.

Referenced by headerGetMagic(), headerLoad(), headerNew(), and headerSetMagic().

int headerToken_s::nrefs

Reference count.

Definition at line 104 of file header_internal.h.

Referenced by headerFree(), headerLink(), headerLoad(), headerNew(), headerUnlink(), and headerUsageCount().

const char* headerToken_s::origin

Header origin (e.g. path or URL).

Definition at line 89 of file header_internal.h.

Referenced by headerFree(), headerGetOrigin(), headerNew(), headerReload(), and headerSetOrigin().

The documentation for this struct was generated from the following file:

- rpmdb/header_internal.h